Summary:	The Vorbis General Audio Compression Codec
Name:		libvorbis
Version:	1.0
Release:	5m
Group:		System Environment/Libraries
License:	Modified BSD
URL:		http://www.vorbis.com/
Source0:	http://fatpipe.vorbis.com/files/1.0/unix/libvorbis-%{version}.tar.gz
NoSource:	0
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
# needs release number in requres because omokon thinks 1.0 < 1.0-0.00000000k
Requires:	libogg >= 1.0-1m
BuildPreReq:    libogg-devel >= 1.0-1m

%description
Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
general-purpose compressed audio format for audio and music at fixed 
and variable bitrates from 16 to 128 kbps/channel.

%package devel
Summary: 	Vorbis Library Development
Group: 		Development/Libraries
Requires:	libogg-devel >= 1.0
Requires:	libvorbis = %{version}

%description devel
The libvorbis-devel package contains the header files and documentation
needed to develop applications with libvorbis.

%prep
%setup -q

%build
if [ ! -f configure ]; then
  CFLAGS="%{optflags}" ./autogen.sh --prefix=/usr --mandir=%{_mandir} \
	--infodir=%{_infodir} --enable-static
else
  CFLAGS="%{optflags}" ./configure --prefix=/usr --mandir=%{_mandir} \
	--infodir=%{_infodir} --enable-static
fi
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%doc COPYING
%doc AUTHORS
%doc README
%{_libdir}/libvorbis.so.*
%{_libdir}/libvorbisfile.so.*
%{_libdir}/libvorbisenc.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.html
%doc doc/*.png
%doc doc/*.txt
%doc doc/vorbisfile
%doc doc/vorbisenc
%{_datadir}/aclocal/vorbis.m4
%{_includedir}/vorbis
%{_libdir}/libvorbis.a
%{_libdir}/libvorbis.la
%{_libdir}/libvorbis.so
%{_libdir}/libvorbisfile.a
%{_libdir}/libvorbisfile.la
%{_libdir}/libvorbisfile.so
%{_libdir}/libvorbisenc.a
%{_libdir}/libvorbisenc.la
%{_libdir}/libvorbisenc.so

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%changelog
* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (1.0-5m)
- revised spec for enabling rpm 4.2.

* Wed Jul 31 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.0-4m)
- specfile revisions, devel package requires libvorbis, not libvorbis-devel
- removed unnecessary defines

* Mon Jul 29 2002 OZAWA -Crouton- Sakuro <crouton@momonga-linux.org>
- (1.0-3m)
- License: LGPL -> Modified BSD.

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.0-2m)
- changed requires to libogg >= 1.0-1m
- changed buildprereq to libogg-devel >= 1.0-1m

* Fri Jul 19 2002 Kentarou SHINOHARA <puntium@momonga-linux.org>
- (1.0-1m)
- update to final 1.0 version

* Tue Mar 19 2002 Tsutomu Yasuda <tom@kondara.org>
- (1.0-0.0030002k)
  update to 1.0rc3

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (1.0-0.0005002k)
- rc2.

* Mon Sep 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- Change Group

* Tue Jan 16 2001 Kenichi Matsubara <m@kondara.org>
- (1.0-0.0003005k)
- %defattr(-,root,root).

* Mon Dec 11 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- to NoSource(source from http://www.vorbis.com/download.new.html)
- TAG changed (Copyright -> License)

* Sat Oct 21 2000 Jack Moffitt <jack@icecast.org>
- initial spec file created
